* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
html {
  scroll-behavior: smooth;
}
body {
  background-color: bisque;
}
ul{
  list-style: none;
}
a {
  text-decoration: none;
}
img {
  display: block;
  max-width: 100%;
  height: auto;
}
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}
.grid{
  display: grid;
  gap: 1.5rem;
}
.section{
  padding: 5rem 1rem;
}
.section--title{
  text-align: center;
  margin-bottom: 2rem;
}
.main{
  overflow: hidden;
}
.header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 1;
  transition: box-shadow .4s;
}
.nav{
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav--logo{
  display: flex;
  align-items: center;
  column-gap: .5rem;
  color: brown;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
.nav--logo img{
  width: 20px;
}
.nav--logo div{
  background-color: #ffd500;
  padding: 6px;
  border-radius: .5rem;
}
.nav-toggle,
.nav-close{
  display: flex;
  font-size: 1.5rem;
  color: black;
  cursor: pointer;
}
@media screen and (max-width:1150px){
  .nav-menu{
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    padding-block: 4.5rem 3.5rem;
    background-color: bisque ;
    box-shadow: 0 4px 16px hsla(22, 100%,  8%, .2);
    transition: top .4s;
  }
}
.nav-list {
  text-align: center;
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
}
.nav-link{
  position: relative;
  color: black;
  font-family: Arial, Helvetica, sans-serif;
}
.nav-link::after{
  content: '';
  width: 0;
  height: 3px;
  background-color: #ffd500;
  position: absolute;
  left: 0;
  bottom: -.5rem;
  transition: width .3s;
}
.nav-link:hover::after{
  width: 60%;
}
.nav-close{
  position: absolute;
  top: 1rem;
  right: 1.5rem;
}
.show-menu{
  top: 0;
}
.home-container{
  padding-block: 3rem 2rem;
  justify-content: center;
  row-gap: 3.5rem;
}
.home-data {
  position: relative;
  text-align: center;
}
.home-title{
  margin-bottom: 1rem;
}
.home-description{
  margin-bottom: 2.5rem;
}
.home-sticker{
  width: 40px;
  position: absolute;
  rotate: 15deg;
  bottom: 2rem;
  right: 1rem;
  opacity: .5;
}
.home-image{
  display: grid;
  position: relative;
  justify-items: center;
  justify-self: center;
}
.ingrediant{
  width: 60px;
  filter: drop-shadow(0 4px 16px hsla(22, 100%,  8%, .2));
  position: absolute;
  z-index: 2;
}
.burger,.dish{
  filter: drop-shadow(0 8px 24px hsla(22, 100%,  8%, .2));
}
.burger{
  width: 280px;
  z-index: 2;
}
.dish{
  max-width: initial;
  width: 320px;
  position: absolute;
  bottom: -2rem;
}
.patato-1{
  left: -1rem;
  top: .75rem;
}
.patato-2{
  right: -.75rem;
  bottom: -2rem;
  rotate: 90deg;
}
.tomato-1{
  width: 40px;
  top: -1rem;
  right: 6rem;
}
.tomato-2{
   width: 40px;
   left: 5.5rem;
   bottom: -1.5rem;
}
.lecttue-1{
  top:2.5rem;
  right: -2rem;
  transform: scaleX(-1);
}
.lecttue-2{
  left: -2rem;
  bottom: 1rem;
}

.button{
  display: inline-flex;
  padding: 1rem 1.5rem;
  background-color: #ffd500;
  border-radius: 4rem;
  color: black;
  font-weight: 800;
  transition: box-shadow .4s;
}
.button:hover{
  box-shadow: 0 4px 16px hsla(22, 100%,  8%, .1);
}
.nav {
  background-color: bisque;
}
.scroll-header{
  box-shadow: 0 4px 16px hsla(22, 100%,  8%, .1);
}
.recipe{
  overflow: hidden;
}
.recipe-container{
  grid-template-columns: .5fr 1fr;
  column-gap: 1rem;
  padding-bottom: 2rem;
}
.recipe-img{
  display: grid;
  position: relative;
  place-items: center;
}
.recipe-image{
  position: absolute;
  max-width: initial;
  width: 200px;
  left: -6rem;
  filter: drop-shadow(0 8px 24px hsla(22, 100%,  8%, .2));
}
.recipe-data {
  display: grid;
  row-gap: 2rem;
}
.recipe-card {
  display: flex;
  column-gap: .5rem;
  align-items: center;
}
.recipe-box{
  width: 60px;
  height: 60px;
  flex-shrink: 0;
  background-color: hsl(45,99%,55%) ;
  border: 3px solid #fff6eb;
  border-radius: .75rem ;
  display: grid;
  place-items: center;
}
.recipe-box img{
  width: 50px;
  filter: drop-shadow(0 4px 16px hsla(22, 100%,  8%, .2));
}
.recipe-title{
  margin-bottom: .5rem;
}
.second-title{
  text-align: center;
  margin-bottom: 30px;
  font-size: 30px;
}
.recipe-card:nth-child(even) .recipe-box{
  order: 1;
}
.popular{
  background-color: hsl(34, 100%,88% );
}
.popular-container{
  padding-block: 2rem;
  grid-template-columns: repeat(2,1fr);
  gap: 3.5rem 1rem;
}
.popular-card {
  position: relative;
  background-color:  hsl(45,99%,55%);
  padding: 6rem .75rem 1rem;
  border: 4px solid #fff6eb;
  border-radius: 1rem;
}
.section-title{
  text-align: center;
}
.popular-img{
  position: absolute;
  top: -2rem;
  left: 0;
  right: 0;
  width: 120px;
  margin: 0 auto;
  filter: drop-shadow(0 4px 16px hsla(22, 100%,  8%, .2)) ;
  transition: transform .4s;
}
.popular-title{
  margin-bottom: .75rem;
}
.popular-price{
  font-weight: 900;
  font-size: 2rem;
}
.popular-button{
  position: absolute;
  bottom: 1rem;
  right: .75rem;
  outline: none;
  border: none;
  background-color: hsl(22, 100%,8%);
  color: hsl(34, 100%, 96%);
  padding: 6px;
  border-radius: .5rem;
  font-size: 1.25rem;
  display: inline-flex;
  cursor: pointer;
}
.popular-card:hover .popular-img{
  transform: translateY(-.5rem);
}
.delivery-container{
  row-gap: 2.5rem;
}
.container-data{
  position: relative;
  text-align: center;
}
.delivery-container .delivery-title{
  margin-bottom: 1rem;
}
.delivery-description{
  margin-bottom: 1.5rem;
  margin-top: 1rem;
}
.delivery-sticker{
  width: 30px;
  rotate: 18deg;
  position: absolute;
  right: 1rem;
  bottom: 1.5rem;
  opacity: .5;
}
.delivery-img{
  width: 320px;
  justify-self: center;
  filter: drop-shadow hsla(22, 100%,  8%, .2);
}
.contact-container{
  position: relative;
  background-color: hsl(22, 100%,8%);
  padding-top: 3.5rem;
  border-radius: 3rem;
  overflow: hidden;
}
.contact-content{
  row-gap: 3.5rem;
}
.contact-container .section-title,.contact-title,.contact-info{
  color: #fff6eb;
}
.contact-data {
  text-align: center;
  row-gap: 2rem;
}
.contact-title{
  font-weight: 900;
  margin-bottom: .75rem;
}
.social-contact{
  display: flex;
  justify-content:center;
  column-gap: 1rem;
}
.social-contact a{
  width: 32px;
  height: 32px;
  background-color: hsl(45,99%,55%);
  color:hsl(22, 100%,8%) ;
  font-size: 1.5rem;
  place-items: center;
  display: grid;
  border-radius: .5rem;
  transition: transform .4s;
}
.social-contact a:hover{
  transform: translateY(-.25rem);
}
.contact-info{
  font-style: normal;
}
.contact-img{
  justify-self: center;
}
.contact-image{
  width: 280px;
}
.contact-sticker,.contact-sticker2{
  position: absolute;
  opacity: .5;
}
.contact-sticker2{
  width: 30px;
  right: 3rem;
  bottom: 12rem;
}
.contact-sticker{
  width: 40px;
  left: 1.5rem;
  top: 6.5rem;
}
.footer{
  padding-block: 3rem 2rem;
}
.footer-container{
  row-gap: 2rem;
}
.footer-logo{

  font-size: 2rem;
  font-weight: bold;
  color: black;
  justify-self: center;
}
.footer-content{
  grid-template-columns: repeat(2,max-content);
  justify-content: center;
}
.footer-link{
  color: rgb(30, 28, 28);
}
.footer-social{
  grid-column: 1/3;
  display: flex;
  justify-content: center;
  column-gap: 1rem;
}
.footer-social a{
  width: 32px;
  height: 32px;
  background-color: hsl(45,99%,55%);
  color:hsl(22, 100%,8%) ;
  font-size: 1.5rem;
  place-items: center;
  display: grid;
  border-radius: .5rem;
  transition: transform .4s;
}
.footer-social a:hover{
  transform: translateY(-.25rem);
}
.footer-copy{
  display: block;
  text-align-last: center;
  margin-top: 3.5rem;
}
::-webkit-scrollbar{
  width: .6rem;
  background-color: hsl(34, 16%, 75%);
}
::-webkit-scrollbar-thumb{
  background-color: hsl(34, 16%, 65%);
}
::-webkit-scrollbar-thumb:hover{
  background-color: hsl(34, 16%, 55%);
}
.scrollup{
  position: fixed;
  right: 1rem;
  bottom: -50%;
  background-color: hsl(45,99%,55%);
  color: black;
  padding: 12px;
  font-size: 1.25rem;
  box-shadow: 0 4px 16px hsla(22, 100%,  8%, .2);
  display: inline-flex;
  border-radius: .35rem;
  transition: bottom .4s ,transform .4s;
}
.scrollup:hover{
  transform: translateY(-.5rem);
}
.scroll-menu{
  bottom: 3rem;
}
.active-link::after{
  width: 60%;
}
@media  screen and (max-width:330px){
  .container{
    margin-inline: 1rem;
  }
  .home-title{
    font-size: 2.5rem;
  }
  .home-burger{
    width: 210px;
  }
  .home-dish{
    width: 250px;
    bottom: -2rem;
  }
  .recipe-container{
    column-gap: 5rem;
  }
  .recipe-img{
    left: -3rem;
  }
  .popular-container{
    grid-template-columns: 160px;
    justify-content: center;
  }
  .footer-social{
    grid-column: 1;
  }
  .footer-content{
    grid-template-columns: 1fr;
    justify-items: center;
  }
}
@media screen and (min-width:540px){
  .home-container,.delivery-container{
    grid-template-columns: 360px;
    justify-content: center;
  }
  .recipe-image{
    position: initial;
  }
  .recipe-container{
    grid-template-columns: 200px 230px;
    justify-content: center;
    column-gap: 3rem;
  }
  .popular-container{
    grid-template-columns: repeat(2,160px);
    justify-content: center;
  }
  .contact{
    max-width: 500px;
    margin: 0 auto;
  }
}
@media screen and (min-width:768px){
  .popular-container{
    grid-template-columns: repeat(3,160px);
  }
  .footer-social{
    grid-column: initial;
  }
  .footer-content{
    grid-template-columns: repeat(3,1fr);
    align-items: center;
  }
  .footer-link:nth-child(1){
    justify-self: start;
  }
  .footer-link:nth-child(2){
    order: 2;
    justify-self: end;
  }
}
@media screen and (min-width:1150px){
  .container{
    margin-inline: auto;
  }
  .section{
    padding-block: 7rem 2rem;
  }
  .section-title{
    margin-bottom: 4.5rem;
  }
  .nav{
    height: 5.5rem;
  }
  .nav-toggle,.nav-close{
    display: none;
  }
  .nav-list{
    flex-direction: row;
    column-gap: 4rem;
  }
  .home-container{
    grid-template-columns: 430px 605px;
    align-items: center;
    column-gap: 4rem;
    padding-block: 7rem 4rem;
  }
  .home-data {
    text-align: initial;
  }
  .home-description{
    margin-bottom: 3.5rem;
    padding-right: 3rem;
  }
  .home-sticker{
    width: 60px;
    right: 10rem;
    bottom: 1rem;
  }
  .burger{
    width: 450px;
  }
  .dish{
    width: 500px;
    bottom: -4rem;
  }
  .ingrediant{
    width: 100px;
  }
  .patato-1{
    left: -2rem;
    top: 1.5rem;
  }
  .patato-2{
    right: -1.5rem;
    bottom: -3rem;
  }
  .tomato-1{
    width: 70px;
    right: 10rem;
    top: -1.5rem;
  }
  .tomato-2{
    width: 70px;
    left: 9.5em;
    bottom: -2.5rem;
  }
  .lecttue-1{
    top: 4rem;
    right: -3.5rem;
  }
  .lecttue-2{
    left: -3.5rem;
    bottom: 2rem;
  }
  .recipe-container{
    grid-template-columns: 350px 300px;
    column-gap: 8rem;
    padding-bottom: 3rem;
  }
  .recipe-image{
    width: 350px;
  }
  .recipe-card{
    column-gap: 1rem;
  }
  .recipe-box{
    width: 100px;
    height: 100px;
    border-radius: 1.25rem;
    border-width: 5px;
  }
  .recipe-box img{
    width: 85px;
  }
  .popular-container{
    grid-template-columns: repeat(3,250px);
    gap: 6.5rem 4rem;
    padding-block: 3rem;
  }
  .popular-card{
    padding: 9.5rem 1.25rem 1.25rem;
    border-radius: 2rem;
    border-width: 6px;
  }
  .popular-img{
    width: 200px;
    top: -3.5rem;
  }
  .popular-button{
    font-size: 1.25rem;
    right: 1.25em;
    bottom: 1.25rem ;
  }
  .delivery-container{
    grid-template-columns: 440px 550px;
    column-gap: 4rem;
    align-items: center;
    padding-block: 1rem;
  }
  .delivery-container,.delivery-title,.container-data{
    text-align: center;
  }
  .delivery-description{
    margin-bottom: 3.5rem;
  }
  .delivery-sticker{
    width: 50px;
    right: 15rem;
    bottom: 0;
  }
  .delivery-img{
    width: 450px;
  }
  .contact {
    max-width: initial;
  }
  .contact-container{
    border-radius: 4rem;
    padding-block: 4rem 6.5rem;
  }
  .contact-content{
    grid-template-columns: 430px 435px;
    justify-content: center;
    column-gap: 6.5rem;
  }
  .contact-data{
    text-align: initial;
    grid-template-columns: repeat(2,max-content);
    gap: 4.5rem 2rem;
    order: 1;
  }
  .social-contact{
    justify-content: initial;
  }
  .contact-title{
    margin-bottom: 1rem;
  }
  .contact-container h2{
    font-size: 35px;
  }
  .contact-img{
    position: relative;
    width: 100%;
  }
  .contact-image{
    width: 420px;
    position: absolute;
    top: -2.5rem;
  }
  .contact-sticker{
    width: 70px;
    left: 27rem;
    top: 10rem;
  }
  .contact-sticker2{
    width: 40px;
    top: 10rem;
    bottom: 5.5rem;
  }
  .footer{
    padding-block: 5rem 3rem;
  }
  .footer-container{
    row-gap: 3.5rem;
  }
  .footer-copy{
    margin-top: 4rem;
  }
  .scrollup{
    right: 3rem;
  }
}
.home-title{
  font-size: 60px;
}
 